summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2022-02-24 00:52:08 -0500
committerMike Frysinger <vapier@gentoo.org>2022-02-24 00:52:08 -0500
commita61eaf68cf868e1874de168b1de5f2efcbb3cfb4 (patch)
tree80b90fcf8d087d7adfb62eb9e3a8e1c636b20e4b
parentbde43d0481ff540418271ac37012a574a4fcf097 (diff)
downloadautomake-a61eaf68cf868e1874de168b1de5f2efcbb3cfb4.tar.gz
tests: make silent-custom regex a little more robust
Fixes automake bug https://bugs.gnu.org/32800. Have the regex match the entire path with word boundaries on both sides. This should reduce false positives when the full cwd happens to match parent directories. * t/silent-custom.sh: Update the header output regex.
-rw-r--r--t/silent-custom.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/t/silent-custom.sh b/t/silent-custom.sh
index 01cf464b9..977255b13 100644
--- a/t/silent-custom.sh
+++ b/t/silent-custom.sh
@@ -74,7 +74,7 @@ do_check ()
$FGREP 'cp ' output && exit 1
$FGREP 'generate-header' output && exit 1
$FGREP 'rm -f' output && exit 1
- grep '[012]\.h' output && exit 1
+ grep '\bsub/[012]\.h\b' output && exit 1
grep '^ XGEN foo$' output
grep '^ GEN \[headers\]$' output
else